Bug 149794

Summary: [NEW PORT] audio/libaacplus: HE-AAC+ Codec as Shared Library
Product: Ports & Packages Reporter: takefu
Component: Individual Port(s)Assignee: Dmitry Marakasov <amdmi3>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
libaacplus.shar none

Description takefu 2010-08-19 07:10:05 UTC
HE-AAC+ Codec as Shared Library

WWW: http://tipok.org.ua/ru/node/17/
Comment 1 Dmitry Marakasov freebsd_committer 2010-08-19 18:42:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov freebsd_committer 2010-08-31 02:57:31 UTC
State Changed
From-To: open->feedback

Doesn't build: http://people.freebsd.org/~amdmi3/libaacplus-1.0.5.log. 
Probably misses USE_AUTOTOOLS parts.
Comment 3 Dmitry Marakasov 2010-08-31 03:04:18 UTC
* amdmi3@FreeBSD.org (amdmi3@FreeBSD.org) wrote:

> Doesn't build: http://people.freebsd.org/~amdmi3/libaacplus-1.0.5.log.
> Probably misses USE_AUTOTOOLS parts.

Also, MAINTAINER should be set.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 4 takefu 2010-08-31 07:08:11 UTC
Hi.

I do not reproduce.
Make properly completed.
It's "6-STABLE i386" and "8.1-RELEASE amd64" confirmed.

Tell me, how to reproduce. :-)


Dmitry Marakasov ããã¯æ¸ãã¾ãã (2010/08/31 11:04):
> * amdmi3@FreeBSD.org (amdmi3@FreeBSD.org) wrote:
> 
>> Doesn't build: http://people.freebsd.org/~amdmi3/libaacplus-1.0.5.log.
>> Probably misses USE_AUTOTOOLS parts.
> 
> Also, MAINTAINER should be set.
>
Comment 5 takefu 2010-08-31 08:38:40 UTC
Hi.

Sorry!
Try this PATCH.

--- libaacplus.diff begin here ---
diff -ruN libaacplus/Makefile libaacplus.new/Makefile
--- libaacplus/Makefile	2010-08-31 16:19:52.000000000 +0900
+++ libaacplus.new/Makefile	2010-08-31 16:21:54.000000000 +0900
@@ -28,7 +28,8 @@

 USE_GMAKE=	yes
 USE_LDCONFIG=	yes
-USE_AUTOTOOLS=  automake:110
+USE_AUTOTOOLS=	automake:110
+USE_GNOME=	pkgconfig

 3GPFILES=	26410-800.zip

@@ -50,5 +51,7 @@
 	@cd ${WRKSRC} && ${SH} autogen.sh\
 	 --with-fftw3=${USE_FFTW}\
 	 --with-fftw3-prefix=${LOCALBASE}
+	@${REINPLACE_CMD} -e 's|(libdir)/pkgconfig|(prefix)/libdata/pkgconfig|g' \
+	 ${WRKSRC}/Makefile.am

 .include <bsd.port.post.mk>
diff -ruN libaacplus/pkg-plist libaacplus.new/pkg-plist
--- libaacplus/pkg-plist	2010-08-31 16:19:54.000000000 +0900
+++ libaacplus.new/pkg-plist	2010-08-31 16:25:40.000000000 +0900
@@ -65,6 +65,6 @@
 lib/libaacplus.la
 lib/libaacplus.so.1
 lib/libaacplus.so
-lib/pkgconfig/aacplus.pc
-@dirrmtry lib/pkgconfig
+libdata/pkgconfig/aacplus.pc
+@dirrmtry libdata/pkgconfig
 @dirrmtry include/libaacplus
--- libaacplus.diff ends here ---
Comment 6 Dmitry Marakasov 2010-09-02 16:02:13 UTC
* Takefu (takefu@airport.fm) wrote:

> I do not reproduce.
> Make properly completed.
> It's "6-STABLE i386" and "8.1-RELEASE amd64" confirmed.
> 
> Tell me, how to reproduce. :-)

You're probably testing it in a live system, while I build it in a
tinderbox with clean environement.

Look into autogen.sh and you'll see that it calls aclocal, autoheader,
libtoolize, automake and autoreconf (while, it should call autoconf
instead, actually) - you'll need that all in USE_AUTOTOOLS. Also, when
you use e.g. automake:110, ports system will call automake itself, so
you should either use automake:110:env or not call autogen.sh. I fine
the former a better solution, however you sometimes need to tune
e.g. AUTOMAKE_ARGS.

Regarding the patch, lib/pkgconfig -> libexec/pkgconfig is usually
changed with USE_GNOME=gnomehack.

Also, 26410-800.zip should be copied to ${WRKSRC} from the port's
Makefile - it's easier and cleaner than patching autogen two times
to make it do it.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 7 takefu 2010-09-07 07:40:49 UTC
Are you all right in this?

remove	files/patch-autogen.sh
	files/patch-configure.ac


--- libaacplus.shar2 begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	Makefile
#	files/patch-Makefile.am
#
echo x - Makefile
sed 's/^X//' >Makefile << 'b67911656ef5d18c4ae36cb6741b7965'
X# New ports collection makefile for:	libaacplus
X# Date created:		2010-05-18
X# Whom:			takefu
X#
X# $FreeBSD$
X#
X
XPORTNAME=	libaacplus
XPORTVERSION=	1.0.5
XCATEGORIES=	audio
XMASTER_SITES=	http://tipok.org.ua/downloads/media/aac+/libaacplus/:site1\
X		http://217.20.164.161/~tipok/aacplus/:site1\
X		http://media.wnet.ua/~tipok/aacplus/:site1\
X		http://www.3gpp.org/ftp/Specs/archive/26_series/26.410/:site2
XDISTFILES=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}:site1\
X		26410-800.zip:site2
X
XMAINTAINER=	ports@FreeBSD.org
XCOMMENT=	HE-AAC+ Codec as Shared Library
X
XEXTRACT_DEPENDS=	unzip:${PORTSDIR}/archivers/unzip
X
XOPTIONS=	FFTW3	"USE_FFTW3"		on
X
X.include <bsd.port.options.mk>
X
XCONFLICTS=	aacplusenc-0*
X
XUSE_GNOME=	pkgconfig
XUSE_GMAKE=	yes
XUSE_LDCONFIG=	yes
XUSE_AUTOTOOLS=	libtool:22 libtoolize aclocal:110 autoheader:262 automake:110\
X		autoreconfig
X
XGNU_CONFIGURE=	yes
X
XAUTOMAKE_ARGS+=	--add-missing
XACLOCAL_ARGS+=	--acdir=${ACLOCAL_DIR}\
X		-I ${LOCALBASE}/share/aclocal -I ${WRKSRC}/m4
XLIBTOOLIZE_ARGS+=	--automake
XCONFIGURE_ENV+=	CPPFLAGS="${CCPFLAGS} -I${LOCALBASE}/include"\
X		LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib"
XMAKE_ENV+=	libdatadir="${PREFIX}/libdata"
X
X.if defined(WITH_FFTW3)
XLIB_DEPENDS+=	fftw3:${PORTSDIR}/math/fftw3\
X		fftw3f:${PORTSDIR}/math/fftw3-float
XUSE_FFTW=	yes
XCONFIGURE_ARGS+=	--with-fftw3=${USE_FFTW}\
X			--with-fftw3-prefix=${LOCALBASE}
X.else
XUSE_FFTW=	no
X.endif
X
X.include <bsd.port.pre.mk>
X
Xpre-configure:
X	@${CP} ${DISTDIR}/26410-800.zip ${WRKSRC}
X
X.include <bsd.port.post.mk>
b67911656ef5d18c4ae36cb6741b7965
echo x - files/patch-Makefile.am
sed 's/^X//' >files/patch-Makefile.am << 'bec16f2f5aefa8003a830d3cb059e5f7'
X--- Makefile.am.orig	2009-10-09 05:58:21.000000000 +0900
X+++ Makefile.am	2010-09-07 12:42:33.000000000 +0900
X@@ -14,7 +14,7 @@
X LDADD = @FFTW3_LDFLAGS@
X
X if HAVE_PKGCONFIG
X- pkgconfigdir = $(libdir)/pkgconfig
X+ pkgconfigdir = $(libdatadir)/pkgconfig
X  pkgconfig_DATA = aacplus.pc
X else
X  bin_SCRIPTS = aacplus-config
bec16f2f5aefa8003a830d3cb059e5f7
exit
--- libaacplus.shar2 ends here ---
Comment 8 Dmitry Marakasov 2010-09-16 01:18:15 UTC
* Takefu (takefu@airport.fm) wrote:

Please check out this version after my minor changes - mainly canonical
order of statements, whitespace and removal of some unneeded stuff.

The main issue is MAINTAINER= - we don't accept unmaintained ports, you
should put your email there and become a maintainer. If that's ok
with you, I can commit that right away.

--- libaacplus-1.0.5.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	libaacplus
#	libaacplus/Makefile
#	libaacplus/distinfo
#	libaacplus/files
#	libaacplus/files/patch-Makefile.am
#	libaacplus/files/patch-configure.ac
#	libaacplus/pkg-descr
#	libaacplus/pkg-plist
#
echo c - libaacplus
mkdir -p libaacplus > /dev/null 2>&1
echo x - libaacplus/Makefile
sed 's/^X//' >libaacplus/Makefile << 'c984e18cc572e51d4959bae822d86049'
X# New ports collection makefile for:	libaacplus
X# Date created:		2010-05-18
X# Whom:			takefu
X#
X# $FreeBSD$
X#
X
XPORTNAME=	libaacplus
XPORTVERSION=	1.0.5
XCATEGORIES=	audio
XMASTER_SITES=	http://tipok.org.ua/downloads/media/aac+/libaacplus/:site1\
X		http://217.20.164.161/~tipok/aacplus/:site1\
X		http://media.wnet.ua/~tipok/aacplus/:site1\
X		http://www.3gpp.org/ftp/Specs/archive/26_series/26.410/:site2
XDISTFILES=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}:site1\
X		26410-800.zip:site2
X
XMAINTAINER=	ports@FreeBSD.org
XCOMMENT=	HE-AAC+ Codec as Shared Library
X
XRESTRICTED=	unclear legal status, probably need licenses from 3GPP, Via Licensing and Coding Technologies
X
XEXTRACT_DEPENDS=unzip:${PORTSDIR}/archivers/unzip
X
XCONFLICTS=	aacplusenc-0*
X
XUSE_GNOME=	pkgconfig
XUSE_GMAKE=	yes
XUSE_LDCONFIG=	yes
XUSE_AUTOTOOLS=	libtool:22 libtoolize aclocal:110 autoheader:262 automake:110
XGNU_CONFIGURE=	yes
X
XAUTOMAKE_ARGS=	--add-missing
XACLOCAL_ARGS=	--acdir=${ACLOCAL_DIR} \
X		-I ${LOCALBASE}/share/aclocal -I ${WRKSRC}/m4
XLIBTOOLIZE_ARGS=--automake
XCONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include"\
X		LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib"
X
XOPTIONS=	FFTW3	"USE_FFTW3"		on
X
X.include <bsd.port.options.mk>
X
X.if !defined(WITHOUT_FFTW3)
XLIB_DEPENDS+=	fftw3:${PORTSDIR}/math/fftw3\
X		fftw3f:${PORTSDIR}/math/fftw3-float
XCONFIGURE_ARGS+=--with-fftw3=yes \
X		--with-fftw3-prefix=${LOCALBASE}
X.else
XCONFIGURE_ARGS+=--with-fftw3=no
X.endif
X
Xpre-configure:
X	@${CP} ${DISTDIR}/26410-800.zip ${WRKSRC}
X
X.include <bsd.port.mk>
c984e18cc572e51d4959bae822d86049
echo x - libaacplus/distinfo
sed 's/^X//' >libaacplus/distinfo << 'e97e5ed390d9c601926d3ffae648ceec'
XMD5 (libaacplus-1.0.5.tar.gz) = 3cbb1f3d80050277d77a2ea4692c5f18
XSHA256 (libaacplus-1.0.5.tar.gz) = d29d533f94dc2e66ae37e460a34284514e9e5a047f5aadbb41f0fc0ef5b984ca
XSIZE (libaacplus-1.0.5.tar.gz) = 23213
XMD5 (26410-800.zip) = 2346a0f709d42cee88b784c513744e98
XSHA256 (26410-800.zip) = 4e7b3268b4e21a4dc2c88ee3af57c9115334d6b616a6e5f2e3f43643bf37b72f
XSIZE (26410-800.zip) = 1348294
e97e5ed390d9c601926d3ffae648ceec
echo c - libaacplus/files
mkdir -p libaacplus/files > /dev/null 2>&1
echo x - libaacplus/files/patch-Makefile.am
sed 's/^X//' >libaacplus/files/patch-Makefile.am << '8652b2041a4bc5597148d11612f39ae2'
X--- Makefile.am.orig	2009-10-09 05:58:21.000000000 +0900
X+++ Makefile.am	2010-09-07 12:42:33.000000000 +0900
X@@ -14,7 +14,7 @@
X LDADD = @FFTW3_LDFLAGS@
X
X if HAVE_PKGCONFIG
X- pkgconfigdir = $(libdir)/pkgconfig
X+ pkgconfigdir = $(prefix)/libdata/pkgconfig
X  pkgconfig_DATA = aacplus.pc
X else
X  bin_SCRIPTS = aacplus-config
8652b2041a4bc5597148d11612f39ae2
echo x - libaacplus/files/patch-configure.ac
sed 's/^X//' >libaacplus/files/patch-configure.ac << 'd699de9ead120da1eb111bc443c86d60'
X--- configure.ac.orig	2009-10-09 01:02:10.000000000 +0400
X+++ configure.ac	2010-09-16 04:08:51.000000000 +0400
X@@ -114,7 +114,7 @@
X 	    
X AACPLUS_VERSION="$VERSION"
X AACPLUS_CPPFLAGS="-I$aacplus_includedir $FFTW3_CPPFLAGS"
X-AACPLUS_CFLAGS+="$FFTW3_CFLAGS"
X+AACPLUS_CFLAGS="$AACPLUS_CFLAGS $FFTW3_CFLAGS"
X AACPLUS_LIBS="-laacplus -lm ${FFTW3_LIB}"
X 
X AC_SUBST(AACPLUS_LIBS)
d699de9ead120da1eb111bc443c86d60
echo x - libaacplus/pkg-descr
sed 's/^X//' >libaacplus/pkg-descr << '46d5514089ed8ae788c269de695e333f'
XHE-AAC+ Codec as Shared Library
X
XWWW: http://tipok.org.ua/ru/node/17/
46d5514089ed8ae788c269de695e333f
echo x - libaacplus/pkg-plist
sed 's/^X//' >libaacplus/pkg-plist << '0633de980fce5d4ae42fe37a17d155aa'
Xbin/aacplusenc
Xinclude/libaacplus/FFR_bitbuffer.h
Xinclude/libaacplus/FloatFR.h
Xinclude/libaacplus/aac_ram.h
Xinclude/libaacplus/aac_rom.h
Xinclude/libaacplus/aacenc.h
Xinclude/libaacplus/adj_thr.h
Xinclude/libaacplus/adj_thr_data.h
Xinclude/libaacplus/adts.h
Xinclude/libaacplus/band_nrg.h
Xinclude/libaacplus/bit_cnt.h
Xinclude/libaacplus/bit_sbr.h
Xinclude/libaacplus/bitenc.h
Xinclude/libaacplus/block_switch.h
Xinclude/libaacplus/cfftn.h
Xinclude/libaacplus/channel_map.h
Xinclude/libaacplus/cmondata.h
Xinclude/libaacplus/code_env.h
Xinclude/libaacplus/counters.h
Xinclude/libaacplus/dyn_bits.h
Xinclude/libaacplus/env_bit.h
Xinclude/libaacplus/env_est.h
Xinclude/libaacplus/fram_gen.h
Xinclude/libaacplus/freq_sca.h
Xinclude/libaacplus/grp_data.h
Xinclude/libaacplus/hybrid.h
Xinclude/libaacplus/iir32resample.h
Xinclude/libaacplus/interface.h
Xinclude/libaacplus/invf_est.h
Xinclude/libaacplus/line_pe.h
Xinclude/libaacplus/mh_det.h
Xinclude/libaacplus/minmax.h
Xinclude/libaacplus/ms_stereo.h
Xinclude/libaacplus/nf_est.h
Xinclude/libaacplus/pre_echo_control.h
Xinclude/libaacplus/ps_bitenc.h
Xinclude/libaacplus/ps_enc.h
Xinclude/libaacplus/psy_configuration.h
Xinclude/libaacplus/psy_const.h
Xinclude/libaacplus/psy_data.h
Xinclude/libaacplus/psy_main.h
Xinclude/libaacplus/qc_data.h
Xinclude/libaacplus/qc_main.h
Xinclude/libaacplus/qmf_enc.h
Xinclude/libaacplus/quantize.h
Xinclude/libaacplus/resampler.h
Xinclude/libaacplus/sbr.h
Xinclude/libaacplus/sbr_def.h
Xinclude/libaacplus/sbr_main.h
Xinclude/libaacplus/sbr_misc.h
Xinclude/libaacplus/sbr_ram.h
Xinclude/libaacplus/sbr_rom.h
Xinclude/libaacplus/sf_estim.h
Xinclude/libaacplus/spreading.h
Xinclude/libaacplus/stat_bits.h
Xinclude/libaacplus/stprepro.h
Xinclude/libaacplus/tns.h
Xinclude/libaacplus/tns_func.h
Xinclude/libaacplus/tns_param.h
Xinclude/libaacplus/ton_corr.h
Xinclude/libaacplus/tran_det.h
Xinclude/libaacplus/transform.h
Xlib/libaacplus.a
Xlib/libaacplus.la
Xlib/libaacplus.so
Xlib/libaacplus.so.1
Xlibdata/pkgconfig/aacplus.pc
X@dirrmtry include/libaacplus
0633de980fce5d4ae42fe37a17d155aa
exit

--- libaacplus-1.0.5.shar ends here ---

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 9 takefu 2010-09-16 05:35:46 UTC
Hi
Dmitry Marakasov $B$5$s$O=q$-$^$7$?(B (2010/09/16 9:18):
> Please check out this version after my minor changes - mainly canonical
> order of statements, whitespace and removal of some unneeded stuff.
Thank you.

> The main issue is MAINTAINER= - we don't accept unmaintained ports, you
> should put your email there and become a maintainer. If that's ok
> with you, I can commit that right away.
Please make your choice.
:-)


--
Comment 10 dfilter service freebsd_committer 2010-09-23 01:44:29 UTC
amdmi3      2010-09-23 00:44:23 UTC

  FreeBSD ports repository

  Modified files:
    .                    LEGAL 
    audio                Makefile 
  Added files:
    audio/libaacplus     Makefile distinfo pkg-descr pkg-plist 
    audio/libaacplus/files patch-Makefile.am patch-configure.ac 
  Log:
  HE-AAC+ Codec as Shared Library
  
  WWW: http://tipok.org.ua/ru/node/17/
  
  PR:             149794
  Submitted by:   Takefu <takefu@airport.fm>
  
  Revision  Changes    Path
  1.629     +3 -1      ports/LEGAL
  1.1140    +1 -0      ports/audio/Makefile
  1.1       +56 -0     ports/audio/libaacplus/Makefile (new)
  1.1       +6 -0      ports/audio/libaacplus/distinfo (new)
  1.1       +11 -0     ports/audio/libaacplus/files/patch-Makefile.am (new)
  1.1       +11 -0     ports/audio/libaacplus/files/patch-configure.ac (new)
  1.1       +3 -0      ports/audio/libaacplus/pkg-descr (new)
  1.1       +68 -0     ports/audio/libaacplus/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Dmitry Marakasov freebsd_committer 2010-09-23 05:40:11 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!